Package: org.codehaus.groovy.util

## [Java] Class FastArray

- org.codehaus.groovy.util.FastArray

- All Implemented Interfaces and Traits:
    Cloneable

      public class FastArray
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static FastArray` | `EMPTY_LIST` |
    `int` | `size` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FastArray (int initialCapacity)`
    `FastArray ()`
    `FastArray (Collection c)`
    `FastArray (Object[] objects)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(Object o)`
    `` | `void` | `addAll(FastArray newData)`
    `` | `void` | `addAll(Object[] newData, int size)`
    `` | `void` | `addAll(List coll)`
    `` | `void` | `clear()`
    `` | `FastArray` | `copy()`
    `` | `Object` | `get(int index)`
    `` | `Object[]` | `getArray()`
    `` | `boolean` | `isEmpty()`
    `` | `void` | `remove(int index)`
    `` | `void` | `set(int index, Object o)`
    `` | `int` | `size()`
    `` | `List` | `toList()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final FastArray EMPTY_LIST

    - #### public int size

  - ### Constructor Detail

    - #### public FastArray(int initialCapacity)

    - #### public FastArray()

    - #### public FastArray(Collection c)

    - #### public FastArray(Object[] objects)

  - ### Method Detail

    - #### public void add(Object o)

    - #### public void addAll(FastArray newData)

    - #### public void addAll(Object[] newData, int size)

    - #### public void addAll(List coll)

    - #### public void clear()

    - #### public FastArray copy()

    - #### public Object get(int index)

    - #### public Object[] getArray()

    - #### public boolean isEmpty()

    - #### public void remove(int index)

    - #### public void set(int index, Object o)

    - #### public int size()

    - #### public List toList()

    - #### public String toString()